Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.SetValuesTo<Next>

Type Parameters:
  `Next` -

All Known Subinterfaces:
  Graph.SetValues<Next>

Enclosing class:
  Graph

    public static interface Graph.SetValuesTo<Next>

A component used to set the values on a property.

Method Summary
`Next` | `to(BigDecimal value)` Set the property value to the given decimal value.
`Next` | `to(Binary value)` Set the property value to the given binary value.
`Next` | `to(boolean value)` Set the property value to the given boolean value.
`Next` | `to(byte[] value)` Set the property value to the given byte array.
`Next` | `to(Calendar value)` Set the property value to the date given by the supplied calendar.
`Next` | `to(Date value)` Set the property value to the given date.
`Next` | `to(DateTime value)` Set the property value to the given date-time instant.
`Next` | `to(double value)` Set the property value to the given double value.
`Next` | `to(float value)` Set the property value to the given float value.
`Next` | `to(InputStream stream, long approximateLength)` Set the property value to the given string.
`Next` | `to(int value)` Set the property value to the given integer value.
`Next` | `to(Iterable<?> values)` Set the property value to the given object.
`Next` | `to(Iterator<?> values)` Set the property value to the given object.
`Next` | `to(Location location)` Set the property value to be a reference to the given location.
`Next` | `to(long value)` Set the property value to the given long value.
`Next` | `to(Name value)` Set the property value to the given Name.
`Next` | `to(Node node)` Set the property value to be a reference to the given node.
`Next` | `to(Object value)` Set the property value to the given object.
`Next` | `to(Object[] values)` Set the property values to the given object.
`Next` | `to(Object firstValue, Object... otherValues)` Set the property value to the given objects.
`Next` | `to(Path value)` Set the property value to the given Path.
`Next` | `to(Reader reader, long approximateLength)` Set the property value to the given string.
`Next` | `to(Reference value)` Set the property value to the given Reference.
`Next` | `to(String value)` Set the property value to the given string.
`Next` | `to(URI value)` Set the property value to the given URI.
`Next` | `to(UUID value)` Set the property value to the given UUID.

Method Detail

### to

    Next to(Node node)

  Set the property value to be a reference to the given node. Note that it is an error if the Node does not have a `UUID`.

  Parameters:
    `node` - the node to which a reference should be set
  Returns:
    the interface for additional requests or actions
  Throws:
    `IllegalArgumentException` - if the value is a Node that has no `UUID`

### to

    Next to(Location location)

  Set the property value to be a reference to the given location. Note that it is an error if the Location does not have a `UUID`.

  Parameters:
    `location` - the location to which a reference should be set
  Returns:
    the interface for additional requests or actions
  Throws:
    `IllegalArgumentException` - if the value is a Location that has no `UUID`

### to

    Next to(String value)

  Set the property value to the given string.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(int value)

  Set the property value to the given integer value.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(long value)

  Set the property value to the given long value.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(boolean value)

  Set the property value to the given boolean value.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(float value)

  Set the property value to the given float value.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(double value)

  Set the property value to the given double value.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(BigDecimal value)

  Set the property value to the given decimal value.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(Calendar value)

  Set the property value to the date given by the supplied calendar.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(Date value)

  Set the property value to the given date.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(DateTime value)

  Set the property value to the given date-time instant.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(Name value)

  Set the property value to the given Name.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(Path value)

  Set the property value to the given Path.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(Reference value)

  Set the property value to the given Reference. See also `to(Node)`.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(URI value)

  Set the property value to the given URI.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(UUID value)

  Set the property value to the given UUID.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(Binary value)

  Set the property value to the given binary value.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(byte[] value)

  Set the property value to the given byte array.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions

### to

    Next to(InputStream stream,
            long approximateLength)

  Set the property value to the given string.

  Parameters:
    `stream` - the stream containing the content to be used for the property value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the interface for additional requests or actions

### to

    Next to(Reader reader,
            long approximateLength)

  Set the property value to the given string.

  Parameters:
    `reader` - the reader containing the content to be used for the property value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the interface for additional requests or actions

### to

    Next to(Object value)

  Set the property value to the given object. The supplied `value` should be a valid property value, or a `Node` (or `Location`) if the property value is to be a reference to that node (or location). Note that it is an error if the Node (or Location) does not have a `UUID`.

  Parameters:
    `value` - the property value
  Returns:
    the interface for additional requests or actions
  Throws:
    `IllegalArgumentException` - if the value is a Node or Location that has no `UUID`

### to

    Next to(Object[] values)

  Set the property values to the given object. Each of the supplied `values` should be a valid property value, or a `Node` (or `Location`) if the property value is to be a reference to that node (or location). Note that it is an error if the Node (or Location) does not have a `UUID`.

  Parameters:
    `values` - the property values
  Returns:
    the interface for additional requests or actions
  Throws:
    `IllegalArgumentException` - if the any of the values is a Node or Location that has no `UUID`

### to

    Next to(Object firstValue,
            Object... otherValues)

  Set the property value to the given objects. Each of the supplied values should be a valid property value, or a `Node` (or `Location`) if the property value is to be a reference to that node (or location). Note that it is an error if the Node (or Location) does not have a `UUID`.

  Parameters:
    `firstValue` - the first property value
    `otherValues` - the remaining property values
  Returns:
    the interface for additional requests or actions
  Throws:
    `IllegalArgumentException` - if the any of the values is a Node or Location that has no `UUID`

### to

    Next to(Iterable<?> values)

  Set the property value to the given object. Each of the supplied values should be a valid property value, or a `Node` (or `Location`) if the property value is to be a reference to that node (or location). Note that it is an error if the Node (or Location) does not have a `UUID`.

  Parameters:
    `values` - the container for the property values
  Returns:
    the interface for additional requests or actions
  Throws:
    `IllegalArgumentException` - if the any of the values is a Node or Location that has no `UUID`

### to

    Next to(Iterator<?> values)

  Set the property value to the given object. Each of the supplied values should be a valid property value, or a `Node` (or `Location`) if the property value is to be a reference to that node (or location). Note that it is an error if the Node (or Location) does not have a `UUID`.

  Parameters:
    `values` - the iterator over the property values
  Returns:
    the interface for additional requests or actions
  Throws:
    `IllegalArgumentException` - if the any of the values is a Node or Location that has no `UUID`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.